<nz-header class="header">
  <div class="logo">
    <img src="assets/img/newLogo (2).png" class="logo-img" alt="vPopulus Logo" />
  </div>
  <div class="desktop-menu">
    <ul nz-menu class="menu" nzMode="horizontal">
      <li nz-menu-item [routerLink]="['/landing']">Home</li>
      <li nz-menu-item [routerLink]="['/landing']" (click)="scroll('about')">About Game</li>
      <li nz-menu-item [routerLink]="['/landing']" (click)="scroll('news')">News</li>
      <li nz-menu-item [routerLink]="['/landing']" (click)="scroll('statistics')">Statistics</li>
    </ul>
    <div>
      <button nz-button class="buttons" [routerLink]="['login']" nzType="primary">
        Login
      </button>
      <button nz-button class="buttons" [routerLink]="'register'" nzType="primary" style="margin-left: 5px;"
        *ngIf="gameVersion !== 'Pi'">
        Register
      </button>
    </div>
  </div>
  <div class="menu-icon" (click)="showDrawer = true">
    <span nz-icon nzType="menu" style="color: white;" nzTheme="outline"></span>
  </div>
</nz-header>
<nz-drawer [nzVisible]="showDrawer" [nzTitle]="'Menu' | translate" [nzPlacement]="'right'" [nzWidth]="320"
  (nzOnClose)="showDrawer = false">
  <ng-container *nzDrawerContent>
    <ul nz-menu>
      <li nz-menu-item [routerLink]="['/landing']">Home</li>
      <li nz-menu-item [routerLink]="['/landing']" (click)="scroll('about')">About Game</li>
      <li nz-menu-item [routerLink]="['/landing']" (click)="scroll('news')">News</li>
      <li nz-menu-item [routerLink]="['/landing']" (click)="scroll('statistics')">Statistics</li>
    </ul>
    <div>
      <button nz-button class="buttons" [routerLink]="['login']" nzType="primary">
        Login
      </button>
      <br>
      <button nz-button class="buttons" [routerLink]="'register'" nzType="primary" *ngIf="gameVersion !== 'Pi'">
        Register
      </button>
    </div>
  </ng-container>
</nz-drawer>
